-- ClickDown by Andromerius (asilva) v1.9

local buttons = {
	"ActionButton",
	"ExtraActionButton",
	"MultiBarBottomLeftButton",
	"MultiBarBottomRightButton",
	"MultiBarRightButton",
	"MultiBarLeftButton",
	"OverrideActionBarButton",
	"PetActionButton",
	"StanceButton",
}

local function SetClickMode(mode)
	for index = 1, #buttons do
		for id = 1, NUM_ACTIONBAR_BUTTONS or 12 do
			local button = _G[buttons[index] .. id]
			if button then
				button:RegisterForClicks(mode)
			end
		end
	end
end


-- Database defaults and quick reference

local defaults = {
	profile = {
		active = true,
		combat = true,
	},
}

local globalDB

-- Ace3 options table is disabled for now!

-- Create and initialize addon

ClickDown = LibStub("AceAddon-3.0"):NewAddon("ClickDown", "AceConsole-3.0")

function ClickDown:OnInitialize()

	-- Register the DataBase
	self.db = LibStub("AceDB-3.0"):New("ClickDownDB", defaults, true)
	globalDB = self.db.global

-- Initialize combat checks and set Addon status
local addon = CreateFrame("Frame")

--register events
addon:RegisterEvent("PLAYER_ENTERING_WORLD")
addon:RegisterEvent("PLAYER_REGEN_DISABLED")
addon:RegisterEvent("PLAYER_REGEN_ENABLED")

-- call function based on event
addon:SetScript("OnEvent", function(self, event, ...)
	if UnitAffectingCombat("player") then

	-- in combat, set this.
		SetClickMode("AnyDown")
	else

	-- not in combat, set this.
		SetClickMode ("AnyUp")
	end
end)
end
